#
# spec file for package allegro
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define pack_descr Allegro is a cross-platform library mainly aimed at \
video game and multimedia programming. It handles common, low-level \
tasks such as creating windows, accepting user input, loading data, \
drawing images, playing sounds, etc. and generally abstracting away \
the underlying platform. However, Allegro is not a game engine: \
developers are free to design and structure the program as desired.
%define allegro_so_nr 5_2
%define dot_allegro_so_nr %(echo %{allegro_so_nr} | sed s/_/./)
Name:           allegro
Version:        5.2.10.1
Release:        1.2
Summary:        A game programming library
License:        BSD-3-Clause AND Zlib
Group:          Development/Libraries/C and C++
URL:            https://liballeg.org
Source0:        https://github.com/liballeg/allegro5/releases/download/%{version}/allegro-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  freeimage-devel
BuildRequires:  gcc-c++
BuildRequires:  libjpeg-devel
BuildRequires:  libphysfs-devel
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(dumb) >= 2.0
BuildRequires:  pkgconfig(flac)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gdk-x11-3.0)
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(gtk+-x11-3.0)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libpulse)
BuildRequires:  pkgconfig(libpulse-simple)
BuildRequires:  pkgconfig(libwebp)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(pango)
BuildRequires:  pkgconfig(theora)
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xcursor)
BuildRequires:  pkgconfig(xi)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xrandr)

%description
%{pack_descr}

%package -n liballegro%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro%{allegro_so_nr}
%{pack_descr}

%package -n liballegro%{allegro_so_nr}-devel
Summary:        Development files for liballegro
Group:          Development/Libraries/C and C++
Requires:       liballegro%{allegro_so_nr} = %{version}
Requires:       pkgconfig(gl)
Requires:       pkgconfig(x11)

%description -n liballegro%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro.

%package -n liballegro_acodec%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_acodec%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_acodec%{allegro_so_nr}-devel
Summary:        Development files for liballegro_acodec
Group:          Development/Libraries/C and C++
Requires:       liballegro_acodec%{allegro_so_nr} = %{version}

%description -n liballegro_acodec%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_acodec.

%package -n liballegro_audio%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_audio%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_audio%{allegro_so_nr}-devel
Summary:        Development files for liballegro_audio
Group:          Development/Libraries/C and C++
Requires:       liballegro_audio%{allegro_so_nr} = %{version}

%description -n liballegro_audio%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_audio.

%package -n liballegro_color%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_color%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_color%{allegro_so_nr}-devel
Summary:        Development files for liballegro_color
Group:          Development/Libraries/C and C++
Requires:       liballegro_color%{allegro_so_nr} = %{version}

%description -n liballegro_color%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_color.

%package -n liballegro_dialog%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_dialog%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_dialog%{allegro_so_nr}-devel
Summary:        Development files for liballegro_dialog
Group:          Development/Libraries/C and C++
Requires:       liballegro_dialog%{allegro_so_nr} = %{version}

%description -n liballegro_dialog%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_dialog.

%package -n liballegro_font%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_font%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_font%{allegro_so_nr}-devel
Summary:        Development files for liballegro_font
Group:          Development/Libraries/C and C++
Requires:       liballegro_font%{allegro_so_nr} = %{version}

%description -n liballegro_font%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_font.

%package -n liballegro_image%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_image%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_image%{allegro_so_nr}-devel
Summary:        Development files for liballegro_image
Group:          Development/Libraries/C and C++
Requires:       liballegro_image%{allegro_so_nr} = %{version}

%description -n liballegro_image%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_image.

%package -n liballegro_main%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_main%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_main%{allegro_so_nr}-devel
Summary:        Development files for liballegro_main
Group:          Development/Libraries/C and C++
Requires:       liballegro_main%{allegro_so_nr} = %{version}

%description -n liballegro_main%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_main.

%package -n liballegro_memfile%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_memfile%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_memfile%{allegro_so_nr}-devel
Summary:        Development files for liballegro_memfile
Group:          Development/Libraries/C and C++
Requires:       liballegro_memfile%{allegro_so_nr} = %{version}

%description -n liballegro_memfile%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_memfile.

%package -n liballegro_physfs%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_physfs%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_physfs%{allegro_so_nr}-devel
Summary:        Development files for liballegro_physfs
Group:          Development/Libraries/C and C++
Requires:       liballegro_physfs%{allegro_so_nr} = %{version}

%description -n liballegro_physfs%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_physfs.

%package -n liballegro_primitives%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_primitives%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_primitives%{allegro_so_nr}-devel
Summary:        Development files for liballegro_primitives
Group:          Development/Libraries/C and C++
Requires:       liballegro_primitives%{allegro_so_nr} = %{version}

%description -n liballegro_primitives%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_primitives.

%package -n liballegro_ttf%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_ttf%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_ttf%{allegro_so_nr}-devel
Summary:        Development files for liballegro_ttf
Group:          Development/Libraries/C and C++
Requires:       liballegro_ttf%{allegro_so_nr} = %{version}

%description -n liballegro_ttf%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_ttf.

%package -n liballegro_video%{allegro_so_nr}
Summary:        A game programming library
Group:          System/Libraries

%description -n liballegro_video%{allegro_so_nr}
%{pack_descr}

%package -n liballegro_video%{allegro_so_nr}-devel
Summary:        Development files for liballegro_video
Group:          Development/Libraries/C and C++
Requires:       liballegro_video%{allegro_so_nr} = %{version}

%description -n liballegro_video%{allegro_so_nr}-devel
Development files needed to build applications which use liballegro_video.

%package -n liballegro-doc
Summary:        Allegro Documentation
Group:          Documentation/HTML
BuildArch:      noarch

%description -n liballegro-doc
Allegro HTML documentation and man pages.

%prep
%setup -q

%build
# Tests require a graphics card
%cmake \
      -DCMAKE_C_FLAGS="%{optflags} -fPIC -D_FILE_OFFSET_BITS=64" \
      -DCMAKE_BUILD_TYPE=RelWithDebInfo \
      -DWANT_EXAMPLES=NO \
      -DWANT_TESTS=NO \
      -DWANT_DEMO=NO ..
%make_build

%install
%cmake_install
install -D -m 644 allegro5.cfg %{buildroot}%{_sysconfdir}/allegro5rc
install -d -D %{buildroot}%{_mandir}/man3
cp docs/man/*.3 %{buildroot}%{_mandir}/man3
%fdupes -s %{buildroot}%{_mandir}/man3
install -d -D %{buildroot}%{_datadir}/doc/%{name}
cp -r docs/html/refman/* %{buildroot}%{_datadir}/doc/%{name}

%post -n liballegro_video%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_ttf%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_primitives%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_physfs%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_memfile%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_main%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_image%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_font%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_dialog%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_color%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_audio%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro_acodec%{allegro_so_nr} -p /sbin/ldconfig
%post -n liballegro%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_acodec%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_audio%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_color%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_dialog%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_font%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_image%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_main%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_memfile%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_physfs%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_primitives%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_ttf%{allegro_so_nr} -p /sbin/ldconfig
%postun -n liballegro_video%{allegro_so_nr} -p /sbin/ldconfig

%files -n liballegro%{allegro_so_nr}
%license LICENSE.txt
%doc CHANGES-5.?.txt CONTRIBUTORS.txt README.txt
%{_libdir}/liballegro.so.%{dot_allegro_so_nr}*
%config(noreplace) %{_sysconfdir}/allegro5rc

%files -n liballegro%{allegro_so_nr}-devel
%{_libdir}/liballegro.so
%{_includedir}/allegro5
%exclude %{_includedir}/allegro5/allegro_acodec.h
%exclude %{_includedir}/allegro5/allegro_audio.h
%exclude %{_includedir}/allegro5/allegro_color.h
%exclude %{_includedir}/allegro5/allegro_native_dialog.h
%exclude %{_includedir}/allegro5/allegro_font.h
%exclude %{_includedir}/allegro5/allegro_image.h
%exclude %{_includedir}/allegro5/allegro_memfile.h
%exclude %{_includedir}/allegro5/allegro_physfs.h
%exclude %{_includedir}/allegro5/allegro_primitives.h
%exclude %{_includedir}/allegro5/allegro_ttf.h
%exclude %{_includedir}/allegro5/allegro_video.h
%{_libdir}/pkgconfig/allegro-5.pc
%{_libdir}/cmake/allegro/

%files -n liballegro-doc
%{_datadir}/doc/%{name}/
%{_mandir}/man3/*

%files -n liballegro_primitives%{allegro_so_nr}
%{_libdir}/liballegro_primitives.so.%{dot_allegro_so_nr}*

%files -n liballegro_primitives%{allegro_so_nr}-devel
%{_libdir}/liballegro_primitives.so
%{_includedir}/allegro5/allegro_primitives.h
%{_libdir}/pkgconfig/allegro_primitives-5.pc

%files -n liballegro_acodec%{allegro_so_nr}
%{_libdir}/liballegro_acodec.so.%{dot_allegro_so_nr}*

%files -n liballegro_acodec%{allegro_so_nr}-devel
%{_libdir}/liballegro_acodec.so
%{_includedir}/allegro5/allegro_acodec.h
%{_libdir}/pkgconfig/allegro_acodec-5.pc

%files -n liballegro_audio%{allegro_so_nr}
%{_libdir}/liballegro_audio.so.%{dot_allegro_so_nr}*

%files -n liballegro_audio%{allegro_so_nr}-devel
%{_libdir}/liballegro_audio.so
%{_includedir}/allegro5/allegro_audio.h
%{_libdir}/pkgconfig/allegro_audio-5.pc

%files -n liballegro_color%{allegro_so_nr}
%{_libdir}/liballegro_color.so.%{dot_allegro_so_nr}*

%files -n liballegro_color%{allegro_so_nr}-devel
%{_libdir}/liballegro_color.so
%{_includedir}/allegro5/allegro_color.h
%{_libdir}/pkgconfig/allegro_color-5.pc

%files -n liballegro_dialog%{allegro_so_nr}
%{_libdir}/liballegro_dialog.so.%{dot_allegro_so_nr}*

%files -n liballegro_dialog%{allegro_so_nr}-devel
%{_libdir}/liballegro_dialog.so
%{_includedir}/allegro5/allegro_native_dialog.h
%{_libdir}/pkgconfig/allegro_dialog-5.pc

%files -n liballegro_font%{allegro_so_nr}
%{_libdir}/liballegro_font.so.%{dot_allegro_so_nr}*

%files -n liballegro_font%{allegro_so_nr}-devel
%{_libdir}/liballegro_font.so
%{_includedir}/allegro5/allegro_font.h
%{_libdir}/pkgconfig/allegro_font-5.pc

%files -n liballegro_image%{allegro_so_nr}
%{_libdir}/liballegro_image.so.%{dot_allegro_so_nr}*

%files -n liballegro_image%{allegro_so_nr}-devel
%{_libdir}/liballegro_image.so
%{_includedir}/allegro5/allegro_image.h
%{_libdir}/pkgconfig/allegro_image-5.pc

%files -n liballegro_main%{allegro_so_nr}
%{_libdir}/liballegro_main.so.%{dot_allegro_so_nr}*

%files -n liballegro_main%{allegro_so_nr}-devel
%{_libdir}/liballegro_main.so
%{_libdir}/pkgconfig/allegro_main-5.pc

%files -n liballegro_memfile%{allegro_so_nr}
%{_libdir}/liballegro_memfile.so.%{dot_allegro_so_nr}*

%files -n liballegro_memfile%{allegro_so_nr}-devel
%{_libdir}/liballegro_memfile.so
%{_includedir}/allegro5/allegro_memfile.h
%{_libdir}/pkgconfig/allegro_memfile-5.pc

%files -n liballegro_physfs%{allegro_so_nr}
%{_libdir}/liballegro_physfs.so.%{dot_allegro_so_nr}*

%files -n liballegro_physfs%{allegro_so_nr}-devel
%{_libdir}/liballegro_physfs.so
%{_includedir}/allegro5/allegro_physfs.h
%{_libdir}/pkgconfig/allegro_physfs-5.pc

%files -n liballegro_ttf%{allegro_so_nr}
%{_libdir}/liballegro_ttf.so.%{dot_allegro_so_nr}*

%files -n liballegro_ttf%{allegro_so_nr}-devel
%{_libdir}/liballegro_ttf.so
%{_includedir}/allegro5/allegro_ttf.h
%{_libdir}/pkgconfig/allegro_ttf-5.pc

%files -n liballegro_video%{allegro_so_nr}
%{_libdir}/liballegro_video.so.%{dot_allegro_so_nr}*

%files -n liballegro_video%{allegro_so_nr}-devel
%{_libdir}/liballegro_video.so
%{_includedir}/allegro5/allegro_video.h
%{_libdir}/pkgconfig/allegro_video-5.pc

%changelog
* Wed Jan  8 2025 Michael Vetter <mvetter@suse.com>
- Update to 5.2.10.1:
  MacOS:
  * Fix some corner cases in the new keyboard input system
  * Fix version-based conditional compilation
  Packaging:
  * Fix the package script to check for makeinfo, this prevents malformed source
    achives from being created (as happened in 5.2.10)
* Wed Jan  8 2025 Michael Vetter <mvetter@suse.com>
- Update to 5.2.10.0:
  Core:
  * Add a compatibility config option, keyboard_version=xx.yy.zz as well as the
    same but with joystick_version if it is necessary to restore the old
    behavior. This enables us to fix bugs with the input system, while providing
    a mechanism to restore old buggy behavior temporarily
  * Assorted timer improvements
  * Optimize inverse transformations.
  * Fix the handling of the new window title in ALLEGRO_STATE (#1562)
  * Add ALLEGRO_TRACE_LEVEL environment variable. This makes it easier to
    enable logging on release builds.
  * Add al_ref_info to convert ALLEGRO_USTR_INFO to ALLEGRO_USTR
  * Add al_get_display_adapter (#1578)
  * Add al_get_render_state
  Linux:
  * Fix joystick initialization when overriding IO (#1572)
  * Make sure the bitmap for the initial icon is created as a memory bitmap
    (#1571)
  Acodec addon:
  * Prefill ALLEGRO_AUDIO_STREAMs with data
  * Add OpenMPT support. This is meant to replace DUMB, as DUMB is not
    maintained. You can use the compatibility config option acodec_prefer_dumb
    to temporarily make DUMB the preferred handler for module files, if Allegro
    is built with both DUMB and OpenMPT. Some modules may sound different under
    OpenMPT.
  Native dialog addon:
  * Add Android support
  * Auto-scroll the native textlog on MacOS
  * Fix monospace fonts on MacOS in the native textlog
  * Improve the patterns arg in al_create_native_file_dialog
  Video addon:
  * Make al_is_video_playing return false before al_start_video
  * Make ALLEGRO_VIDEO work with the automatic destruction system
  Build system:
  * Reproducible build support
  * Fix multiarch install location
  Examples:
  * Remove VLAs to improve Visual Studio support
  * Fix opaque black background pixels in explosion sprites in the Shooter demo
* Sun Jan 21 2024 Michael Vetter <mvetter@suse.com>
- Update to 5.2.9.1:
  * Fix a regression where toggling fullscreen window when menus are used stopped working (SiegeLord)
* Sun Nov 26 2023 Michael Vetter <mvetter@suse.com>
- Update to 5.2.9.0:
  Android:
  * Fix back button/gesture
  * Implement al_get_joystick_name
  * Great many assorted fixes
  Audio:
  * Add al_get_mixer_has_attached and al_get_voice_has_attached
  * Fix al_set_audio_stream_playmode return value and interaction with looping audio streams
  * Send PulseAudio silence if the attached mixer is stopped
  Acodec:
  * voc memory leak fixes
  * Fix internal looping for mod files
  Build system:
  * Add a target for copying examples, letting you build the demo without the examples
  * Improve CMake scripts
  * Support the newer WebP library which is split into two
  Core:
  * Add al_can_set_keyboard_leds and al_can_get_mouse_cursor_position
  * Allow outputting logs to STDOUT via ALLEGRO_TRACE environment variable
  * Add al_get_current_shader
  * Add al_get_window_borders for Windows and Linux
  TTF:
  * Fixes for al_get_glyph_width, al_get_glyph_al_get_glyph when interacting with zero-width/zero-height glyphs
  Linux:
  * Fix fullscreen window creation (#1349)
  * Fix some X11 + fullscreen window interaction (#1358)
  * Allow setting higher quality icons
  * Improve DISPLAY_SWITCH_IN/OUT events (#1390, #1367)
  * Work on improving Window positioning
  * Fix creating an initially maximized window
  * Enable toggling and setting maximized/frameless modes when menus are used
  * Fix popup menu (#1280)
  * Make AltGr (right Alt) toggle the ALLEGRO_KEYMOD_ALTGR modifier
  SDL:
  * Fix touch ids
  * Fix al_get_mouse_state crash
  * Implement al_create_mouse_cursor
  * Implement al_get_monitor_dpi
  Documentation:
  * Assorted clarifications and improvements
* Wed Feb 15 2023 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 5.2.8.0
  * Allow configuring bitmap wrapping via al_set_new_bitmap_wrap.
  * Graphics:
  * Reject creating bitmaps with negative width or height
  * Add a minimal shader implementation for GLSL. Minimal shader
    supports fewer features, but is faster.
  * Emscripten: Fix usage of SDL_Init for emscripten
  * SDL:
  * Ignore touch events from indirect touch devices.
  * Use SDL_PeepEvents for event handling, to improve performance.
  * Improve joysticks support
  * Fix mouse axis setter
  * Use clock_gettime with CLOCK_MONOTONIC instead of gettimeofday
  * Add al_play_audio_stream, a 'simple' API endpoint for audio stream playback.
  * Allow identifying and listing audio devices via new API:
    al_get_num_audio_output_devices, al_get_audio_output_device,
    al_get_audio_device_name
  * Color addon: Add linear and oklab color spaces to the color addon.
  * Fixed TTF rendering when using transforms
  * Allow identifying video files via a magic number, exposed via
    al_identify_video
  * Many other bugfixes
* Thu Sep  9 2021 Martin Hauke <mardnh@gmx.de>
- Add missing dependencies to allegro-devel
  * allegro5/allegro_opengl.h includes GL/gl.h
    Requires: pkgconfig(gl)
  * allegro5/allegro_x.h includes X11/Xlib.h
    Requires: pkgconfig(x11)
* Fri Apr 30 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Fixed dumb dependency
* Thu Apr 15 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 5.2.7.0
  * Avoid some undefined behavior errors.
  * Return key modifiers in ALLEGRO_EVENT_KEY_UP and ALLEGRO_EVENT_KEY_DOWN.
  * Allow calling al_map_* color functions before Allegro is
    initialized.
  * Allow minimum bitmap size to be something other than 16 on
    non-Android platforms
  * Fix ALLEGRO_KEEP_INDEX flag for bitmaps.
  * Add ALLEGRO_OPENGL_CORE_PROFILE display flag.
  * The experimental Emscripten support (via the SDL backend) is
    now documented in README_sdl.txt.
  * Fix bug in SDL voice driver.
  * Audio: Allows playing sounds in reverse by specifying a
    negative speed.
    Use more sensible values for PulseAudio's playback buffer,
    potentially resolving some crashes and high CPU usage.
  * Acodec: Fix edge-case looping in Ogg Vorbis stream
  * Native Dialog: Migrate from GTK2 to GTK3.
    GTK3 dropped support for menu icons.
  * TTF: Allow initializing TTF addon before the Font addon.
    Shut-down the TTF addon automatically in
    al_uninstall_system.
  * PhysFS: Fix handling of native path separators.
    Stop using deprecated PhysFS API.
  * Primitives: Fix segfault in al_draw_ribbon when
    num_segments > 128
    Issue 1215: Correctly handle small scales when
    determining subdivision level for high level
    primitives
- Enabled Opus audio and freeImage support
* Wed Mar 11 2020 Paolo Stivanin <info@paolostivanin.com>
- Update to 5.2.6.0
  Core:
  * Fix timestamps being clamped to ints on touch inputs with X11.
  * Fix al_utf8_width argument type mismatch on platforms where sizeof(int) != 4.
  * Fix building for GNU/Linux without GNU extensions enabled
  * Some refactoring to simplify adding new drivers.
  Graphics:
  * Fix for OpenGL version selection and reporting on Windows and X (Edgar Reynaldo).
  * Report OpenGL version in display options on Android, iOS and Raspberry Pi.
  * Fix creation of the bitmap depth buffer for non-square bitmaps (Kevin Wellwood).
  * Fix ALLEGRO_ALPHA_TEST_VALUE not being interpreted correctly.
  * Fix reported bitshifts for ARGB_4444 and RGBA_4444 pixel formats.
  * Fix alpha test with the GLSL version.
  Linux:
  * Fix al_inhibit_screensaver function.
  SDL:
  * Fix requesting GLES profile on GL Allegro.
  * Add audio recorder implementation.
  * Don’t link with dl, it’s unnecessary.
  Addons:
  * Add a whole bunch of al_is_*_initialized functions (Mark Oates).
  * Acodec addon:
  * Add MP3 support via the MiniMP3 library.
  * Audio addon:
  * Allow calling al_destroy_audio_recorder on NULL.
  * Fix some stream garbage audio issues for high playback speeds.
  Image addon:
  * Add support for FreeImage library.
  * Always prefer non-system image loaders.
  Python wrapper:
  * Fix a number of bugs (zachs18 and others).
  Misc:
  * Convert our internal Python scripts to Python 3.
* Tue May 28 2019 mvetter@suse.com
- Update to 5.2.5:
  Core:
  * Try to identify bitmap format for unknown extensions.
  * Add some missing OpenGL 4.3 functions.
  * Add ‘al_create_thread_with_stacksize’ to create threads with a
    custom stack size.  (Aldrik Ramaekers)
  * Add ‘al_get_system_id’ function, letting you disambiguate platforms
    at runtime.
  Graphics:
  * Add ‘al_get_monitor_dpi’ to query the DPI of a monitor.
  * Add new API for making blender a bitmap-local state (like
    transformations), which can simplify some code.  See
    ‘al_set_bitmap_blender’ and the related APIs.  Also see the
    ‘ex_blend_target’ example.
  * Added ‘al_transpose_transform’.  This is useful for rotation
    transformations.
  * Rework internal GLES support for better portability.
  * Don’t force POT bitmaps on GLES.
  * Fix repeated bitmap locking on OpenGL.
  Linux:
  * Improve linux joystick detections.
  * Fix a number of memory leaks/crashes in the audio addon when using
    pulseaudio/alsa.  (Julian Smythe)
  * Fix compilation with Mesa 18.2.5 and later.
  * Fix OpenGL version reporting after display creation (Edgar
    Reynaldo).
  * Fix requesting specific OpenGL versions via display options (Edgar
    Reynaldo).
  SDL:
  * Sebastian Krzyszkowiak has spent a lot of effort to making the SDL
    backend usable as a nearly fully featured Allegro backend.  You can
    use it on platforms native Allegro implementations do not support
    (such as emscripten, etc.).
  Addons:
  * Better logging when failing to load a resource.
  * Fix a memory leak when destroying a mixer with attached streams.
  * Fix a memory leak in the audio destroying a mixer with attached
    streams.
  Acodec addon:
  * Allow modules to loop properly when the user hasn’t specified loop
    points.  (Todd Cope)
  Audio addon:
  * Better support for big endian.  (Douglas Mencken)
  TTF addon:
  * Added support of HarfBuzz in FreeType (Arves100).
  Documentation:
  * Source links now point to the correct commit on GitHub.
  * General improvements and clarifications.
  Examples:
  * Add ‘ex_blend_target’.
- Remove allegro-5-ifdef.patch: upstreamed
  See https://github.com/liballeg/allegro5/issues/987
- Remove allegro-5-mesa.patch: upstreamed
  See https://github.com/liballeg/allegro5/issues/987
* Fri Mar 15 2019 lnussel@suse.de
- remove dependency to dumb, that causes a build cycle
* Tue Jan 29 2019 Ferdinand Thiessen <rpm@fthiessen.de>
- Removed baselib.conf
* Wed Jan 23 2019 Jan Engelhardt <jengelh@inai.de>
- Fix SRPM group. Generalize description.
* Mon Jan 21 2019 mvetter@suse.com
- Add allegro-5-mesa.patch: Fix build with mesa >= 18.2.5
* Mon Jan 21 2019 mvetter@suse.com
- Add allegro-5-ifdef.patch: Fix glXCreateContextAttribsARB error
* Mon Jan 21 2019 mvetter@suse.com
- Update to 5.2.4:
  Core:
  * Fix errors when reading/writing 0 byte buffers (Bruce Pascoe).
  * Re-initialize TLS when Allegro is installed (Issue #865).
  * Add al_transform_coordinates_4d.
  * Don't initialize the trace mutex multiple times (Issue #874).
  * Fix 3D (non-projection) transforms with al_hold_bitmap_drawing.
  Linux port:
  * Make compositor bypass configurable in X11, and bypass only when fullscreen by default.
  Audio addon:
  * Fix ALSA lag.
  * Add an option to use the desktop window when initializing DirectSound (Issue #877).
  Font addon:
  * Add support for bmfont format.
  Native dialog addon:
  * Resize the display on Windows when hiding/showing the menu (Issue #860).
  * Detect when al_popup_menu fails to actually work under GTK (Issue #808).
  * Don't clear the top-level menu when destroying the popup menu.
  Build system:
  * Don't link in libm on MSVC for DUMB (Issue #847).
  * Don't use the LOCATION property (Issue #847).
  * Don't use SYSTEM for DirectX includes.
  * Add hints for mingw-w64 path locations for DirectX includes/libs.
  Python binding:
  * Fix the Python code-generation scripts to run under Python 2.
  Lua binding:
  * Add script to generate LuaJIT C API for Allegro 5 (BQ).
  Documentation:
  * Many improvements (Andreas Rönnquist, others)
  Examples:
  * Add a texture to the skybox in ex_camera.
* Tue Feb 20 2018 rpm@fthiessen.de
- Update to 5.2.3:
- Core:
  * Add ‘al_path_ustr’
  * Handle NULL sections more gracefully with the config API.
  * Add missing ‘glStencilMaskSeparate prototype’.
  * Don’t add blank lines before config sections when
    writing them out.
  * Enable blocked locking of S3TC formats unconditionally.
- Raspberry Pi port:
  * Set default file interface when attempting to read
    /boot/config.txt.
- Linux port:
  * Make three finger salute and LED toggle configurable.
  * Fix KEY_CHAR events under X11 with compose key enabled.
  * Fix clearing the ‘ALLEGRO_MAXIMIZED’ flag under X11.
  * Read Allegro system config from ~/.allegro5rc on Unix.
- Audio addon:
  * Allow setting the buffer size for ALSA.
- Acodec addon:
  * Add DUMB 2.0 support.
- Color addon:
  * Add XYZ, xyY, Lab and LCH color spaces.
  * Remove "purwablue" named color, add "rebeccablue".
- Image addon:
  * Set compression level to ‘Z_DEFAULT_COMPRESSION’ in png
    saver by default.
  * Make PNG, JPEG compression level configurable.
  * Make PNG gamma value configurable.
  * Add WebP support with libwebp.
- Python binding:
  * Fix some corrupted regexps in the generation script (verderten).
* Sat Sep 23 2017 rpm@fthiessen.de
- Restructured the spec file
* Thu Sep 21 2017 rpm@fthiessen.de
- Fixed changelog style to match openSUSE guidelines:
  * Style of bullet points.
  * Dropped information about non linux related changes.
* Thu Sep 14 2017 icomputo@icomputo.com
- Changes from 5.2.1.1 to 5.2.2 (December 2016)
  * Core:
  * Don’t accumulate time in the timer while it is stopped.
  * Use dynamic OpenGL ES checks, so binaries produced on newer
    platforms don’t crash on older ones.
  * Destabilize the OpenGL extensions API (BREAKING CHANGE!).
  * Raspberry Pi port:
  * Add various optimizations.
  * Fix ‘al_set_mouse_xy’ under X.
  * Python binding:
  * Add support Python 3 (Gabriel Queiroz).
  * Documentation:
  * Document the behavior of ‘al_set_target_bitmap’ with respect
    to transformations (Edgar Reynaldo).
  * Fix typo in ‘al_use_transform’ docs (Ryan Roden-Corrent).
  * Examples:
  * Add kerning to the ‘al_get_glyph’ example in ex_ttf.
  * Various fixes in ex_camera (Erich Erstu).
* Thu Jul  7 2016 dap.darkness@gmail.com
- Update to 5.2.0
  * changes attached via %%%%doc macro.
- Introduced %%%%cmake macro.
- Set "release with debug info" cmake build type.
- Introduced liballegro_video5_2* subpackages.
* Tue May 19 2015 dap.darkness@gmail.com
- update to 5.1.10
  * changes: http://alleg.sourceforge.net/changes-unstable.html
- update to 5.0.5
  * Graphics:
  * Don't re-bind the FBO in al_set_target_bitmap if the new
    target bitmap shares the parent bitmap with the new target
    bitmap (Paul Suntsov).
  * Zero out fake refresh rate information from the nvidia
    proprietary driver on X11 (Peter Wang).
  * Input:
  * Fixed a race condition in al_init_joystick.
  * TTF fonts:
  * Save new bitmap flags and bitmap format at time of loading
    font and use them when creating pages.
  * Primitives addon:
  * Very thin arcs/pieslices were not drawn due to an
    overzealous check (Paul Suntsov).
  * Documentation:
  * Various documentation updates.
  * Generate multiple copies of a man page for all the API
    entries that it documents.
- Update to 5.0.4
  * dropped allegro-4.4.2-agl_no_dlopen.patch
  * dropped allegro-4.4.2-modules.patch
  * dropped allegro-4.4.2-monotonic.patch
  * dropped allegro-4.4.2-no_c++.patch
  * dropped allegro-4.4.2-pkgconfig.patch
  * dropped allegro-4.4.2-shared_plugins.patch
  * dropped allegro-4.4.2-src_x_xkeyboard.c.patch
  * dropped allegro-4.4.2-underlinking.patch
* Sun May 17 2015 meissner@suse.com
- info deinstall needs to be in preun section
* Mon Dec 22 2014 nemysis@gmx.ch
- Use for patch(es) %%{name}-version instead of %%{name}-%%{version}
* Fri Dec 19 2014 nemysis@gmx.ch
- Use SED-FIX-OPENSUSE for sed
* Thu Dec 18 2014 nemysis@gmx.ch
- Rename allegro4 to allegro
- Change Summary
- Change URL for The giftware licence
- Use for patches %%{name}-%%{version} instead of liballeg4_4 or
  allegro-4.4.2 and add descriptions for patches
- Add patch allegro4-4.4.2-src_x_xkeyboard.c.patch
- Use check for openSUSE %%if 0%%{?suse_version}
- Change Description
- Add sed, fix include xf86dga.h
* Sun Dec  7 2014 mailaender@opensuse.org
- fixed rpmlint warnings
* Fri May  2 2014 bwiedemann@suse.com
- Add 32bit modules.lst via baselibs.conf
* Sat Sep 22 2012 reddwarf@opensuse.org
- Add texinfo BuildRequires
* Thu Apr 19 2012 reddwarf@opensuse.org
- Update to 4.4.2
* Sun May 15 2011 reddwarf@opensuse.org
- Fix main pkg-config, requiring X11 related packages.
  Through RPM magic automatically fixes the package dependencies.
* Fri May 13 2011 reddwarf@opensuse.org
- Fix module loading
* Wed Jul 14 2010 uli@suse.de
- build baselibs
* Sun Mar 28 2010 reddwarf@opensuse.org
- First release 4.4.1.1
